static char Sccsid[] = "@(#)satoi	1.1";
# include	<sys/types.h>
# include	"../hdr/macros.h"

char	*
satoi(p,ip)
register char *p;
register int *ip;
{
	register int sum;

	sum = 0;
	while (numeric(*p))
		sum = sum * 10 + (*p++ - '0');
	*ip = sum;
	return(p);
}
